---
id: DLE-001
revision: 1
title: Documentation Level Evaluation
---

# Purpose

This document states and justifies our documentation level of the software in {{device.name}} and our description of the rationale for this documentation level.

[[FDA-SW:dle]]

# Scope

This document applies to {{device.name}} release {{device.version}}.

# Documentation Level

TODO: Describe how you arrived at the stated documentation level. Below is a template for a device that has a basic documentation level, hence the "No" response for all of the questions. Be sure to read the questions and update the responses as appropriate.

See the 2021 Draft Guidance, titled "Content of Premarket Submissions for Device Software Functions" for additional details. In particular, see [Section V](https://innolitics.com/articles/premarket-submissions-for-device-software-functions/#v-documentation-level) and [Appendix A](https://innolitics.com/articles/premarket-submissions-for-device-software-functions/#appendix-a-documentation-level-examples).

ENDTODO

The documentation level for the software in {{device.name}} is "Basic".

# Justification for Stated Documentation Level

## Role of the Software

1. **The device is a constituent part of a combination product.**

No, {{device.name}} is not a constituent part of a combination product.

2. **The device (a) is intended to test blood donations for transfusion-transmitted infections; or (b) is used to determine donor and recipient compatibility; or (c) is a Blood Establishment Computer Software.**

No, {{device.name}} is not intended to test blood donations, is not used to determine donor and recipient compatibility, and is not Blood Establishment Computer Software.

3. **The device is classified as class III.**

No, {{device.name}} is not classified as class III. It is classified as class II.

4. **A failure or latent flaw of the device software function(s) could present a probable risk of death or serious injury, either to a patient, user of the device, or others in the environment of use. These risk(s) should be assessed prior to implementation of risk control measures. You should consider the risk(s) in the context of the device’s intended use; the direct and indirect impacts to safety, treatment, and/or diagnosis; and other relevant considerations.**

A failure or latent flaw of the device software function(s) would not present a probable risk of death or serious injury to either a patient, user of the device, or others in the environment of use prior to the implementation of risk control measures.